Global SettingsUpdate IP Access Settings

Update IP Access Settings

update stream rtmpauth setting

curl -X POST "https://api.5centscdn.com/v2/streams/settings/security/rtmpauth" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "enabled": "Y",
  "username": "streamuser",
  "password": "Str0ngP@ssw0rd",
  "mode": "save"
}'
{
  "result": "success",
  "message": "Stream Settings Updated. Please wait till the deployment completes."
}
POST
/streams/settings/security/rtmpauth
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
enabledstring

Enable or disable RTMP authentication. Y means enabled, N means disabled.

usernamestring

Username required to authenticate RTMP publish connections.

passwordstring

Password required to authenticate RTMP publish connections. Used together with the username.

modestring

Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. overwrite — overwrites the existing streams values, replacing them and updates.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
enabledstring

Enable or disable RTMP authentication. Y means enabled, N means disabled.

Example:
Y
usernamestring

Username required to authenticate RTMP publish connections.

Example:
streamuser
passwordstring

Password required to authenticate RTMP publish connections. Used together with the username.

Example:
Str0ngP@ssw0rd
modestring

Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. overwrite — overwrites the existing streams values, replacing them and updates.

Example:
save

Responses

resultstring

Status of the API response.

messagestring

Human-readable message describing the result.